Easy!Appointments

Popis

Ovlivněte míru konverzí integrací rezervačního formuláře přímo na své stránky WordPressu. Zákazníci nebudou nikdy muset opustit váš web pro rezervaci schůzky. Využijte výhody plánovacího programu Easy!Appointment, který hladce poběží ve vaší instalaci WordPressu. Zahrňte rezervační formulář na svých stránkách pomocí zkráceného kódu [easyappointments].

Minimální požadavky: WordPress v5.0 & PHP v5.6

Napojení Easy!Appointments do WordPressu

Nainstalujte a aktivujte plugin a přejděte do menu Settings >> Easy!Appointments v administraci vašeho WordPressu. Vytvořte novou instalaci Easy!Appointments nebo se připojte k existující instalaci zadáním preferované adresy URL a cílové cesty ve formuláři stránky. Po navázání spojení budete moci zahrnout rezervační formulář na své stránky.

Zahrňte rezervace do svých stránek

WordPress podporuje použití vlastních krátkých kódů (shortcodes), které umožňují zásuvným modulům vkládat vlastní obsah na stránky. Tento plugin využívá zmíněné funkcionality a vytvoří vnořený plovoucí rám (iframe), který zobrazuje rezervační formulář Easy!Appointments. Vložte zkrácený kód [easyappointments] na přesnou pozici vašeho publikovaného obsahu, jak je ukázáno v následujícím příkladu.

[easyappointments width="100%" height="500px" style="border: 5px solid #1A865F; box-shadow: #454545 1px 1px 5px;"]

Atributy „width“ (výška), „height“ (šířka) a „style“ (styl) jsou volitelné, ale mohou vám pomoci doladit vzhled prvku iframe (vnořený plovoucí rám).

Additionally, you can use the „provider“ and „service“ shortcode attributes to preselect a provider or a service or both on a certain page (e.g. [easyappointments provider="2" service="1"], where „2“ and „1“ are the record IDs, they can be fetched from the Easy!Appointments backend section, in the users and services page accordingly by clicking the dedicated link of a record).

Další informace o Easy!Appointments najdete na http://easyappointments.org

Snímky obrazovky

  • Integrace rezervačního formuláře pro mobilní zobrazení.
  • Integrace rezervačního formuláře pro desktopové zobrazení.
  • Stránka pro správu zásuvného modulu.
  • Modální dialogová okna s informacemi zásuvného modulu.

Instalace

Nainstalujte a aktivujte plugin a přejděte do menu Settings >> Easy!Appointments v administraci vašeho WordPressu. Vytvořte novou instalaci Easy!Appointments nebo se připojte k existující instalaci zadáním preferované adresy URL a cílové cesty ve formuláři stránky. Po navázání spojení budete moci zahrnout rezervační formulář na své stránky.

Po úspěšném připojení můžete ve svých příspěvcích nebo stránkách použít zkratku [easyappointments]. Tento zkrácený kód zobrazí rezervační formulář Easy!Appointments a klienti si budou moci rezervovat schůzky, aniž by museli opustit váš web.

Nejčastější dotazy

Co mám dělat, když narazím na chyby s oprávněním?

Některé operace zásuvného modulu (například instalace Easy!Appointments) vyžadují oprávnění k souborovému systému, která na vašem serveru nejsou. V takovém případě budete muset nastavit požadovaná oprávnění pro váš server nebo provést manuálně operaci přes FTP (např. nainstalovat Easy!Appointments ručně).

Výchozí jazyk Easy!Appointments neodpovídá jazyku mého webu?

Výchozí jazyk Easy!Appointments můžete změnit úpravou config.php vaší instalace.

Kde mohu získat další pomoc?

Pokud narazíte na komplikace, se kterými si nevíte rady, navštivte oficiální skupinu podpory Easy!Appointments, kde si aktivní uživatelé navzájem pomáhají řešit problémy.

https://groups.google.com/forum/#!categories/easy-appointments

Recenze

10. 4. 2018
I originally reviewed this at 1-star because it was totally non-functional. I determined the problem was an older PHP version active on website. After updating PHP to version 7.1 calendar was functional. That was my mistake, as I over-looked the error message on screen. Updated Review: Calendar is great IF there are no modifications to either service price, services offered, or time/date worker is available. If any object changes, the database automatically reverts to its original configuration and new data is replaced with older data. The only way to use the new data, is to delete the connection, for that worker (depending on change, you may need to delete all workers), delete the old information you want to update, create new data and new connection. This is a database managing nightmare and too time-consuming to be user friendly. If I want to change a workers time or day of week, I should not have to delete the entire connection to start it from scratch. If I want to change the price for all workers, I should not have to delete all worker connections to rebuild database. It should automatically update to the new information, not revert to old data. Without these database connectivity problems, I would have rated it at least 4-stars. Because these problems are severe enough, I am unable to effectively use this plug-in and rating it at 2-stars.
6. 2. 2018
Great plugin! Free! Contains multiple languages. I strongly recommend! Version 4.9.3 works great.
29. 12. 2017
Extremely useful and pretty easy to customize ( with a bit of php ). Too bad it's being abandoned. Was beyond everything i tried in the store. Still working good with my current version of WP ( 4.9.1 ) so heartily recommending it.
Přečtěte si všechny 4 recenze

Autoři

Easy!Appointments je otevřený software. Následující lidé přispěli k vývoji tohoto pluginu.

Spolupracovníci

Plugin „Easy!Appointments“ byl přeložen do 2 jazyků. Děkujeme všem překladatelům za jejich pomoc.

Přeložte “Easy!Appointments” do svého jazyka.

Zajímá vás vývoj?

Prohledejte kód, podívejte se do SVN repozitáře, nebo se přihlaste k odběru protokolu vývoje pomocí RSS.

Přehled změn

1.3.1

  • Support for WordPress 5.6.
  • Support for Easy!Appointments 1.4
  • Fixed issue with new Easy!Appointments installations.
  • Fixed issue with missing javascript file in public pages.

1.3.0

  • Support for WordPress 5.5.
  • Plugin codebase adjustments.
  • Added support for „provider“ and „service“ shortcode attributes.

1.2.0

  • Support for WordPress 5.x.

1.1.0

  • Instalace se nepokusí vytvořit nový adresář (vyhne se problémům s oprávněními).
  • Přidány optimalizované assety (JS & CSS).
  • Vylepšená sekce uživatelského rozhraní správce.

1.0.1

  • Původně vydáno v repozitořích zásuvných modulů WordPress.
  • Akce instalace, propojení, odpojení, ověření a zkrácený kód.
  • Dodáváno s Easy!Appointments v1.1.1